// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#include "ash/services/ime/public/cpp/rulebased/def/vi_tcvn.h"

#include "base/cxx17_backports.h"

namespace vi_tcvn {

const char* kId = "vi_tcvn";
bool kIs102 = false;
const char* kTransforms[] = {u8"A\u0300",
                             u8"\u00c0",
                             u8"A\u0301",
                             u8"\u00c1",
                             u8"A\u0303",
                             u8"\u00c3",
                             u8"E\u0300",
                             u8"\u00c8",
                             u8"E\u0301",
                             u8"\u00c9",
                             u8"I\u0300",
                             u8"\u00cc",
                             u8"I\u0301",
                             u8"\u00cd",
                             u8"N\u0303",
                             u8"\u00d1",
                             u8"O\u0300",
                             u8"\u00d2",
                             u8"O\u0301",
                             u8"\u00d3",
                             u8"O\u0303",
                             u8"\u00d5",
                             u8"U\u0300",
                             u8"\u00d9",
                             u8"U\u0301",
                             u8"\u00da",
                             u8"Y\u0301",
                             u8"\u00dd",
                             u8"a\u0300",
                             u8"\u00e0",
                             u8"a\u0301",
                             u8"\u00e1",
                             u8"a\u0303",
                             u8"\u00e3",
                             u8"e\u0300",
                             u8"\u00e8",
                             u8"e\u0301",
                             u8"\u00e9",
                             u8"i\u0300",
                             u8"\u00ec",
                             u8"i\u0301",
                             u8"\u00ed",
                             u8"n\u0303",
                             u8"\u00f1",
                             u8"o\u0300",
                             u8"\u00f2",
                             u8"o\u0301",
                             u8"\u00f3",
                             u8"o\u0303",
                             u8"\u00f5",
                             u8"u\u0300",
                             u8"\u00f9",
                             u8"u\u0301",
                             u8"\u00fa",
                             u8"y\u0301",
                             u8"\u00fd",
                             u8"C\u0301",
                             u8"\u0106",
                             u8"c\u0301",
                             u8"\u0107",
                             u8"I\u0303",
                             u8"\u0128",
                             u8"i\u0303",
                             u8"\u0129",
                             u8"L\u0301",
                             u8"\u0139",
                             u8"l\u0301",
                             u8"\u013a",
                             u8"N\u0301",
                             u8"\u0143",
                             u8"n\u0301",
                             u8"\u0144",
                             u8"R\u0301",
                             u8"\u0154",
                             u8"r\u0301",
                             u8"\u0155",
                             u8"S\u0301",
                             u8"\u015a",
                             u8"s\u0301",
                             u8"\u015b",
                             u8"U\u0303",
                             u8"\u0168",
                             u8"u\u0303",
                             u8"\u0169",
                             u8"Z\u0301",
                             u8"\u0179",
                             u8"z\u0301",
                             u8"\u017a",
                             u8"\u00dc\u001d\u0301",
                             u8"\u01d7",
                             u8"\u00fc\u001d\u0301",
                             u8"\u01d8",
                             u8"\u00dc\u001d\u0300",
                             u8"\u01db",
                             u8"\u00fc\u001d\u0300",
                             u8"\u01dc",
                             u8"G\u0301",
                             u8"\u01f4",
                             u8"g\u0301",
                             u8"\u01f5",
                             u8"N\u0300",
                             u8"\u01f8",
                             u8"n\u0300",
                             u8"\u01f9",
                             u8"\u00c5\u001d\u0301",
                             u8"\u01fa",
                             u8"\u00e5\u001d\u0301",
                             u8"\u01fb",
                             u8"\u00c6\u001d\u0301",
                             u8"\u01fc",
                             u8"\u00e6\u001d\u0301",
                             u8"\u01fd",
                             u8"\u00d8\u001d\u0301",
                             u8"\u01fe",
                             u8"\u00f8\u001d\u0301",
                             u8"\u01ff",
                             u8"B\u0323",
                             u8"\u1e04",
                             u8"b\u0323",
                             u8"\u1e05",
                             u8"\u00c7\u001d\u0301",
                             u8"\u1e08",
                             u8"\u00e7\u001d\u0301",
                             u8"\u1e09",
                             u8"D\u0323",
                             u8"\u1e0c",
                             u8"d\u0323",
                             u8"\u1e0d",
                             u8"\u0112\u001d\u0300",
                             u8"\u1e14",
                             u8"\u0113\u001d\u0300",
                             u8"\u1e15",
                             u8"\u0112\u001d\u0301",
                             u8"\u1e16",
                             u8"\u0113\u001d\u0301",
                             u8"\u1e17",
                             u8"H\u0323",
                             u8"\u1e24",
                             u8"h\u0323",
                             u8"\u1e25",
                             u8"\u00cf\u001d\u0301",
                             u8"\u1e2e",
                             u8"\u00ef\u001d\u0301",
                             u8"\u1e2f",
                             u8"K\u0301",
                             u8"\u1e30",
                             u8"k\u0301",
                             u8"\u1e31",
                             u8"K\u0323",
                             u8"\u1e32",
                             u8"k\u0323",
                             u8"\u1e33",
                             u8"L\u0323",
                             u8"\u1e36",
                             u8"l\u0323",
                             u8"\u1e37",
                             u8"M\u0301",
                             u8"\u1e3e",
                             u8"m\u0301",
                             u8"\u1e3f",
                             u8"M\u0323",
                             u8"\u1e42",
                             u8"m\u0323",
                             u8"\u1e43",
                             u8"N\u0323",
                             u8"\u1e46",
                             u8"n\u0323",
                             u8"\u1e47",
                             u8"\u00d5\u001d\u0301",
                             u8"\u1e4c",
                             u8"\u00f5\u001d\u0301",
                             u8"\u1e4d",
                             u8"\u014c\u001d\u0300",
                             u8"\u1e50",
                             u8"\u014d\u001d\u0300",
                             u8"\u1e51",
                             u8"\u014c\u001d\u0301",
                             u8"\u1e52",
                             u8"\u014d\u001d\u0301",
                             u8"\u1e53",
                             u8"P\u0301",
                             u8"\u1e54",
                             u8"p\u0301",
                             u8"\u1e55",
                             u8"R\u0323",
                             u8"\u1e5a",
                             u8"r\u0323",
                             u8"\u1e5b",
                             u8"S\u0323",
                             u8"\u1e62",
                             u8"s\u0323",
                             u8"\u1e63",
                             u8"T\u0323",
                             u8"\u1e6c",
                             u8"t\u0323",
                             u8"\u1e6d",
                             u8"\u0168\u001d\u0301",
                             u8"\u1e78",
                             u8"\u0169\u001d\u0301",
                             u8"\u1e79",
                             u8"V\u0303",
                             u8"\u1e7c",
                             u8"v\u0303",
                             u8"\u1e7d",
                             u8"V\u0323",
                             u8"\u1e7e",
                             u8"v\u0323",
                             u8"\u1e7f",
                             u8"W\u0300",
                             u8"\u1e80",
                             u8"w\u0300",
                             u8"\u1e81",
                             u8"W\u0301",
                             u8"\u1e82",
                             u8"w\u0301",
                             u8"\u1e83",
                             u8"W\u0323",
                             u8"\u1e88",
                             u8"w\u0323",
                             u8"\u1e89",
                             u8"Z\u0323",
                             u8"\u1e92",
                             u8"z\u0323",
                             u8"\u1e93",
                             u8"A\u0323",
                             u8"\u1ea0",
                             u8"a\u0323",
                             u8"\u1ea1",
                             u8"A\u0309",
                             u8"\u1ea2",
                             u8"a\u0309",
                             u8"\u1ea3",
                             u8"\u00c2\u0301",
                             u8"\u1ea4",
                             u8"\u00e2\u0301",
                             u8"\u1ea5",
                             u8"\u00c2\u0300",
                             u8"\u1ea6",
                             u8"\u00e2\u0300",
                             u8"\u1ea7",
                             u8"\u00c2\u0309",
                             u8"\u1ea8",
                             u8"\u00e2\u0309",
                             u8"\u1ea9",
                             u8"\u00c2\u0303",
                             u8"\u1eaa",
                             u8"\u00e2\u0303",
                             u8"\u1eab",
                             u8"\u0102\u0301",
                             u8"\u1eae",
                             u8"\u0103\u0301",
                             u8"\u1eaf",
                             u8"\u0102\u0300",
                             u8"\u1eb0",
                             u8"\u0103\u0300",
                             u8"\u1eb1",
                             u8"\u0102\u0309",
                             u8"\u1eb2",
                             u8"\u0103\u0309",
                             u8"\u1eb3",
                             u8"\u0102\u0303",
                             u8"\u1eb4",
                             u8"\u0103\u0303",
                             u8"\u1eb5",
                             u8"E\u0323",
                             u8"\u1eb8",
                             u8"e\u0323",
                             u8"\u1eb9",
                             u8"E\u0309",
                             u8"\u1eba",
                             u8"e\u0309",
                             u8"\u1ebb",
                             u8"E\u0303",
                             u8"\u1ebc",
                             u8"e\u0303",
                             u8"\u1ebd",
                             u8"\u00ca\u0301",
                             u8"\u1ebe",
                             u8"\u00ea\u0301",
                             u8"\u1ebf",
                             u8"\u00ca\u0300",
                             u8"\u1ec0",
                             u8"\u00ea\u0300",
                             u8"\u1ec1",
                             u8"\u00ca\u0309",
                             u8"\u1ec2",
                             u8"\u00ea\u0309",
                             u8"\u1ec3",
                             u8"\u00ca\u0303",
                             u8"\u1ec4",
                             u8"\u00ea\u0303",
                             u8"\u1ec5",
                             u8"I\u0309",
                             u8"\u1ec8",
                             u8"i\u0309",
                             u8"\u1ec9",
                             u8"I\u0323",
                             u8"\u1eca",
                             u8"i\u0323",
                             u8"\u1ecb",
                             u8"O\u0323",
                             u8"\u1ecc",
                             u8"o\u0323",
                             u8"\u1ecd",
                             u8"O\u0309",
                             u8"\u1ece",
                             u8"o\u0309",
                             u8"\u1ecf",
                             u8"\u00d4\u0301",
                             u8"\u1ed0",
                             u8"\u00f4\u0301",
                             u8"\u1ed1",
                             u8"\u00d4\u0300",
                             u8"\u1ed2",
                             u8"\u00f4\u0300",
                             u8"\u1ed3",
                             u8"\u00d4\u0309",
                             u8"\u1ed4",
                             u8"\u00f4\u0309",
                             u8"\u1ed5",
                             u8"\u00d4\u0303",
                             u8"\u1ed6",
                             u8"\u00f4\u0303",
                             u8"\u1ed7",
                             u8"\u01a0\u0301",
                             u8"\u1eda",
                             u8"\u01a1\u0301",
                             u8"\u1edb",
                             u8"\u01a0\u0300",
                             u8"\u1edc",
                             u8"\u01a1\u0300",
                             u8"\u1edd",
                             u8"\u01a0\u0309",
                             u8"\u1ede",
                             u8"\u01a1\u0309",
                             u8"\u1edf",
                             u8"\u01a0\u0303",
                             u8"\u1ee0",
                             u8"\u01a1\u0303",
                             u8"\u1ee1",
                             u8"\u01a0\u0323",
                             u8"\u1ee2",
                             u8"\u01a1\u0323",
                             u8"\u1ee3",
                             u8"U\u0323",
                             u8"\u1ee4",
                             u8"u\u0323",
                             u8"\u1ee5",
                             u8"U\u0309",
                             u8"\u1ee6",
                             u8"u\u0309",
                             u8"\u1ee7",
                             u8"\u01af\u0301",
                             u8"\u1ee8",
                             u8"\u01b0\u0301",
                             u8"\u1ee9",
                             u8"\u01af\u0300",
                             u8"\u1eea",
                             u8"\u01b0\u0300",
                             u8"\u1eeb",
                             u8"\u01af\u0309",
                             u8"\u1eec",
                             u8"\u01b0\u0309",
                             u8"\u1eed",
                             u8"\u01af\u0303",
                             u8"\u1eee",
                             u8"\u01b0\u0303",
                             u8"\u1eef",
                             u8"\u01af\u0323",
                             u8"\u1ef0",
                             u8"\u01b0\u0323",
                             u8"\u1ef1",
                             u8"Y\u0300",
                             u8"\u1ef2",
                             u8"y\u0300",
                             u8"\u1ef3",
                             u8"Y\u0323",
                             u8"\u1ef4",
                             u8"y\u0323",
                             u8"\u1ef5",
                             u8"Y\u0309",
                             u8"\u1ef6",
                             u8"y\u0309",
                             u8"\u1ef7",
                             u8"Y\u0303",
                             u8"\u1ef8",
                             u8"y\u0303",
                             u8"\u1ef9"};
const unsigned int kTransformsLen = base::size(kTransforms);
const char* kHistoryPrune = nullptr;

}  // namespace vi_tcvn
